@import '../../../../../../node_modules/overlayscrollbars/styles/overlayscrollbars';

.os-scrollbar {
  .os-scrollbar-track {
    width: 2px;
  }

  .os-scrollbar-handle {
    left: 0;
  }
}

.os-theme-dark {
  --os-size: 2px;
  --os-handle-border-radius: 0;
  --os-handle-bg: var(--color-grey-500);
  --os-handle-perpendicular-size: 2px;
  --os-track-bg: var(--color-grey-100);
  --os-track-bg-hover: var(--color-grey-100);
  --os-handle-bg-hover: var(--color-grey-600);
  --os-track-bg-active:  var(--color-grey-100);
  --os-handle-bg-active: var(--color-grey-600);
  --os-padding-axis: 0px;
  --os-padding-perpendicular: 0px;
  --os-handle-perpendicular-size-hover: 2px;
  --os-handle-perpendicular-size-active: 2px;
}

.os-theme-light {
  --os-size: 2px;
  --os-handle-border-radius: 0;
  //--os-handle-bg: #{$color-white};
  --os-handle-perpendicular-size: 2px;
  //--os-track-bg: #{rgba($color-white, 0.2)};
  //--os-track-bg-hover: #{rgba($color-white, 0.2)};
  //--os-handle-bg-hover: #{rgba($color-white, 0.7)};
  //--os-track-bg-active: #{rgba($color-white, 0.2)};
  //--os-handle-bg-active: #{rgba($color-white, 0.7)};
  --os-padding-axis: 0px;
  --os-padding-perpendicular: 0px;
  --os-handle-perpendicular-size-hover: 2px;
  --os-handle-perpendicular-size-active: 2px;
}

.os-theme-round {
  height: rem(48);

  .os-scrollbar-track {
    position: relative;
    width: 100%;
    height: 1px;
    background-color: var(--color-black-100-10);

    &:hover {
      background-color: var(--color-black-100-10);
    }

    &:before {
      content: '';
      position: absolute;
      left: 0;
      top: 0;
      height: 1px;
      width: 100%;
      transform-origin: left;
      transform: scaleX(var(--track-width, 0));
      background-color: var(--color-grey-500);
    }
  }

  .os-scrollbar-handle {
    left: 0;
    width: rem(48) !important;
    height: rem(48);
    border-radius: 50%;
    background: var(--color-grey-500);
    position: relative;
    top: rem(-24);

    &:before {
      content: '';
      display: block;
      position: absolute;
      width: rem(5);
      height: rem(5);
      border-left: 1px solid var(--color-white-100);
      border-bottom: 1px solid var(--color-white-100);
      top: calc(50% - #{rem(3)});
      left: calc(50% - #{rem(10)});
      transform: rotate(45deg);
    }

    &:after {
      content: '';
      display: block;
      position: absolute;
      background-color: transparent;
      width: rem(5);
      height: rem(5);
      border-right: 1px solid var(--color-white-100);
      border-top: 1px solid var(--color-white-100);
      top: calc(50% - #{rem(3)});
      left: calc(50% + #{rem(4)});
      transform: rotate(45deg);
    }

    &:hover {
      cursor: pointer;
      background-color: var(--color-grey-500);
      height: rem(48);
    }
  }
}
